com.pixelmed.test

## Class TestUnknownSequenceValueRepresentation

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestUnknownSequenceValueRepresentation

-     public class TestUnknownSequenceValueRepresentation
      extends TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TestUnknownSequenceValueRepresentation.OurUnknownAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestUnknownSequenceValueRepresentation(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestUnknownSequenceValueRepresentation_FromExplicitVR_WithDefaultBufferedInput()`
    `void` | `TestUnknownSequenceValueRepresentation_FromExplicitVR_WithExplicitBufferedInput()`
    `void` | `TestUnknownSequenceValueRepresentation_FromExplicitVR_WithoutBufferedInput()`
    `void` | `TestUnknownSequenceValueRepresentation_FromImplicitVR()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestUnknownSequenceValueRepresentation

          public TestUnknownSequenceValueRepresentation(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestUnknownSequenceValueRepresentation_FromExplicitVR_WithDefaultBufferedInput

          public void TestUnknownSequenceValueRepresentation_FromExplicitVR_WithDefaultBufferedInput()
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUnknownSequenceValueRepresentation_FromExplicitVR_WithExplicitBufferedInput

          public void TestUnknownSequenceValueRepresentation_FromExplicitVR_WithExplicitBufferedInput()
                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUnknownSequenceValueRepresentation_FromExplicitVR_WithoutBufferedInput

          public void TestUnknownSequenceValueRepresentation_FromExplicitVR_WithoutBufferedInput()
                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUnknownSequenceValueRepresentation_FromImplicitVR

          public void TestUnknownSequenceValueRepresentation_FromImplicitVR()
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`